## ccstools 1.5.1

=== Makefile ===
INSTALLDIR = /

all: tomoyo syaoran cerberus

tomoyo: ccs-auditd ccs-queryd ccstree checkpolicy editpolicy editpolicy_offline findtemp ld-watch loadpolicy pathmatch patternize savepolicy setlevel setprofile sortpolicy realpath

syaoran: makesyaoranconf

cerberus: candy chaplet checktoken falsh gettoken groovy honey mailauth proxy timeauth

install:
	mkdir -p $(INSTALLDIR)/usr/lib/ccs/misc $(INSTALLDIR)/sbin
	chmod 700 $(INSTALLDIR)/usr/lib/ccs
	chmod 755 domainmatch init_policy.sh tomoyo_init_policy.sh
	cp -af --remove-destination ccs-auditd ccs-queryd ccstree checkpolicy editpolicy editpolicy_offline findtemp ld-watch loadpolicy pathmatch patternize savepolicy setlevel setprofile sortpolicy realpath domainmatch init_policy.sh tomoyo_init_policy.sh $(INSTALLDIR)/usr/lib/ccs/
	cp -af --remove-destination makesyaoranconf candy chaplet checktoken falsh gettoken groovy honey mailauth proxy timeauth $(INSTALLDIR)/usr/lib/ccs/misc/
	chown -R root:root ccs-init tomoyo-init $(INSTALLDIR)/usr/lib/ccs/
	chmod 4755 $(INSTALLDIR)/usr/lib/ccs/misc/proxy
	chmod 700 ccs-init tomoyo-init
	cp -af --remove-destination ccs-init tomoyo-init $(INSTALLDIR)/sbin/

#
# If you want to suppress "warning: pointer targets in passing argument ... differ in signedness" warning messages,
# you can add "-Wno-pointer-sign" options to CFLAGS.
#
#CFLAGS=-Wall -Wno-pointer-sign -O2
#
CFLAGS=-Wall -O2

CC=gcc

#
# Header files dependency.
#
/usr/include/curses.h:
	@echo "/usr/include/curses.h is missing."
	@echo "Run 'yum install ncurses-devel' or 'apt-get install libncurses5-dev'"

/usr/include/readline/readline.h:
	@echo "/usr/include/readline/readline.h is missing."
	@echo "Run 'yum install readline-devel' or 'apt-get install libreadline5-dev'"

#
# Tools for SAKURA and TOMOYO.
#

ccs-auditd: ccstools
	ln -f ccstools ccs-auditd

ccs-queryd: ccstools
	ln -f ccstools ccs-queryd

ccstree: ccstools
	ln -f ccstools ccstree

checkpolicy: ccstools
	ln -f ccstools checkpolicy

editpolicy: ccstools
	ln -f ccstools editpolicy

editpolicy_offline: ccstools
	ln -f editpolicy editpolicy_offline

findtemp: ccstools
	ln -f ccstools findtemp

ld-watch: ccstools
	ln -f ccstools ld-watch

loadpolicy: ccstools
	ln -f ccstools loadpolicy

pathmatch: ccstools
	ln -f ccstools pathmatch

patternize: ccstools
	ln -f ccstools patternize

savepolicy: ccstools
	ln -f ccstools savepolicy

setlevel: ccstools
	ln -f ccstools setlevel

setprofile: ccstools
	ln -f ccstools setprofile

sortpolicy: ccstools
	ln -f ccstools sortpolicy

ccstools: ccstools.src/*.c ccstools.src/*.h /usr/include/curses.h 
	$(CC) $(CFLAGS) -o ccstools ccstools.src/*.c -lncurses -DCOLOR_ON

realpath: realpath.c 
	$(CC) $(CFLAGS) -o realpath realpath.c

#
# Tools for SYAORAN.
#

makesyaoranconf: makesyaoranconf.c
	$(CC) $(CFLAGS) -o makesyaoranconf makesyaoranconf.c

#
# Tools for CERBERUS.
#
# http://sourceforge.jp/projects/tomoyo/document/winf2005-en.pdf
#
# This package contains only programs prepared for
# Workshop on Informatics 2005 held in Japan.
#

candy: candy.c
	$(CC) $(CFLAGS) -o candy candy.c

chaplet: chaplet.c
	$(CC) $(CFLAGS) -o chaplet chaplet.c

checktoken: checktoken.c
	$(CC) $(CFLAGS) -o checktoken checktoken.c

falsh: falsh.c /usr/include/curses.h /usr/include/readline/readline.h
	$(CC) $(CFLAGS) -o falsh falsh.c -lncurses -lreadline

gettoken: gettoken.c
	$(CC) $(CFLAGS) -o gettoken gettoken.c

groovy: groovy.c
	$(CC) $(CFLAGS) -o groovy groovy.c
 
honey: honey.c
	$(CC) $(CFLAGS) -o honey honey.c

# Programs developed after Workshop on Informatics 2005.

mailauth: mailauth.c
	$(CC) $(CFLAGS) -o mailauth mailauth.c

proxy: proxy.c
	$(CC) $(CFLAGS) -o proxy proxy.c

timeauth: timeauth.c
	$(CC) $(CFLAGS) -o timeauth timeauth.c

#
# Delete all tools in this package.
#

clean:
	rm -f ccs-auditd ccs-queryd ccstree checkpolicy editpolicy editpolicy_offline findtemp ld-watch loadpolicy pathmatch patternize savepolicy setlevel setprofile sortpolicy ccstools realpath
	rm -f makesyaoranconf
	rm -f candy chaplet checktoken falsh gettoken groovy honey mailauth proxy timeauth

## ccstools 1.6.4

=== Makefile ===
INSTALLDIR = /

MAIN_FILES = ccstools realpath

MISC_FILES = makesyaoranconf candy chaplet checktoken gettoken groovy honey mailauth proxy timeauth falsh ccs-notifyd force-logout audit-exec-param convert-exec-param

ALIAS_LIST = ccs-auditd ccs-queryd ccstree checkpolicy editpolicy editpolicy_offline findtemp ld-watch loadpolicy pathmatch patternize savepolicy setlevel setprofile sortpolicy domainmatch

all: main misc

main: $(MAIN_FILES)

misc: $(MISC_FILES)

install: all
	mkdir -p $(INSTALLDIR)/usr/lib/ccs/misc $(INSTALLDIR)/sbin $(INSTALLDIR)/usr/sbin
	chmod 755 $(INSTALLDIR)/usr/lib/ccs
	chmod 755 domainmatch init_policy.sh tomoyo_init_policy.sh
	cp -af --remove-destination ccstools ccstools.conf $(INSTALLDIR)/usr/lib/ccs/
	for i in $(ALIAS_LIST); do ln -f $(INSTALLDIR)/usr/lib/ccs/ccstools $(INSTALLDIR)/usr/lib/ccs/$$i; done
	for i in $(ALIAS_LIST); do ln -sf /usr/lib/ccs/$$i $(INSTALLDIR)/usr/sbin/ccs-`echo $$i | sed 's:^ccs-::'`; done
	cp -af --remove-destination realpath domainmatch init_policy.sh tomoyo_init_policy.sh $(INSTALLDIR)/usr/lib/ccs/
	cp -af --remove-destination $(MISC_FILES) $(INSTALLDIR)/usr/lib/ccs/misc/
	cp -af --remove-destination README.ccs COPYING.ccs $(INSTALLDIR)/usr/lib/ccs/
	chown -R root:root ccs-init tomoyo-init $(INSTALLDIR)/usr/lib/ccs/
	chmod 4755 $(INSTALLDIR)/usr/lib/ccs/misc/force-logout
	chmod 700 ccs-init tomoyo-init
	cp -af --remove-destination ccs-init tomoyo-init $(INSTALLDIR)/sbin/
	mkdir -p $(INSTALLDIR)/usr/share/man/man8/
	cp -af --remove-destination man/man8/* $(INSTALLDIR)/usr/share/man/man8/

CC=gcc

CFLAGS=-Wall -O2 ${shell $(CC) -Wno-pointer-sign -S -o /dev/null -x c - < /dev/null > /dev/null 2>&1 && echo "-Wno-pointer-sign"}

/usr/include/curses.h:
	@echo "/usr/include/curses.h is missing."
	@echo "Run 'yum install ncurses-devel' or 'apt-get install libncurses5-dev'"

/usr/include/readline/readline.h:
	@echo "/usr/include/readline/readline.h is missing."
	@echo "Run 'yum install readline-devel' or 'apt-get install libreadline5-dev'"

ccstools: ccstools.src/*.c ccstools.src/*.h /usr/include/curses.h
	$(CC) $(CFLAGS) -o ccstools ccstools.src/*.c -lncurses -DCOLOR_ON

falsh: falsh.c /usr/include/curses.h /usr/include/readline/readline.h
	$(CC) $(CFLAGS) -o falsh falsh.c -lncurses -lreadline

.c:
	$(CC) $(CFLAGS) -o $@ $<

clean:
	rm -f $(MAIN_FILES) $(MISC_FILES)

.PHONY: clean install

=== kernel_test/Makefile ===
ALL_FILES = sakura_bind_test sakura_filesystem_test tomoyo_capability_test tomoyo_file_test tomoyo_rewrite_test tomoyo_argv0_test tomoyo_env_test tomoyo_network_test tomoyo_signal_test newns tomoyo_accept_test tomoyo_bprm_test tomoyo_cond_test ccs_policy_io_test tomoyo_new_file_test tomoyo_new_capability_test tomoyo_new_network_test

all: $(ALL_FILES)
	chmod 755 testall.sh

CC=gcc

CFLAGS=-Wall -O2 ${shell $(CC) -Wno-pointer-sign -S -o /dev/null -x c - < /dev/null > /dev/null 2>&1 && echo "-Wno-pointer-sign"}

#
# Tools for kernel testing.
#

tomoyo_capability_test: tomoyo_capability_test.c include.h
	$(CC) $(CFLAGS) -o tomoyo_capability_test tomoyo_capability_test.c -lutil
	chmod 700 tomoyo_capability_test

tomoyo_new_capability_test: tomoyo_new_capability_test.c include.h
	$(CC) $(CFLAGS) -o tomoyo_new_capability_test tomoyo_new_capability_test.c -lutil
	chmod 700 tomoyo_new_capability_test

.c:	include.h
	$(CC) $(CFLAGS) -o $@ $<
	chmod 700 $@

#
# Delete all tools in this package.
#

clean:
	rm -f $(ALL_FILES)

## ccstools 1.6.8

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 INSTALLDIR = /
 
-MAIN_FILES = ccstools realpath
+MAIN_FILES = ccstools realpath make_alias ccs-init tomoyo-init
 
-MISC_FILES = makesyaoranconf candy chaplet checktoken gettoken groovy honey mailauth proxy timeauth falsh ccs-notifyd force-logout audit-exec-param convert-exec-param
+MISC_FILES = makesyaoranconf candy chaplet checktoken gettoken groovy honey mailauth proxy timeauth falsh ccs-notifyd force-logout audit-exec-param convert-exec-param ccs-editpolicy-agent
 
-ALIAS_LIST = ccs-auditd ccs-queryd ccstree checkpolicy editpolicy editpolicy_offline findtemp ld-watch loadpolicy pathmatch patternize savepolicy setlevel setprofile sortpolicy domainmatch
+ALIAS_LIST = ccs-auditd ccs-queryd ccstree checkpolicy editpolicy findtemp ld-watch loadpolicy pathmatch patternize savepolicy setlevel setprofile sortpolicy domainmatch
 
 all: main misc
 
@@ -19,11 +19,11 @@
 	cp -af --remove-destination ccstools ccstools.conf $(INSTALLDIR)/usr/lib/ccs/
 	for i in $(ALIAS_LIST); do ln -f $(INSTALLDIR)/usr/lib/ccs/ccstools $(INSTALLDIR)/usr/lib/ccs/$$i; done
 	for i in $(ALIAS_LIST); do ln -sf /usr/lib/ccs/$$i $(INSTALLDIR)/usr/sbin/ccs-`echo $$i | sed 's:^ccs-::'`; done
-	cp -af --remove-destination realpath domainmatch init_policy.sh tomoyo_init_policy.sh $(INSTALLDIR)/usr/lib/ccs/
+	cp -af --remove-destination realpath make_alias domainmatch init_policy.sh tomoyo_init_policy.sh $(INSTALLDIR)/usr/lib/ccs/
 	cp -af --remove-destination $(MISC_FILES) $(INSTALLDIR)/usr/lib/ccs/misc/
 	cp -af --remove-destination README.ccs COPYING.ccs $(INSTALLDIR)/usr/lib/ccs/
 	chown -R root:root ccs-init tomoyo-init $(INSTALLDIR)/usr/lib/ccs/
-	chmod 4755 $(INSTALLDIR)/usr/lib/ccs/misc/force-logout
+	chmod 4711 $(INSTALLDIR)/usr/lib/ccs/misc/force-logout
 	chmod 700 ccs-init tomoyo-init
 	cp -af --remove-destination ccs-init tomoyo-init $(INSTALLDIR)/sbin/
 	mkdir -p $(INSTALLDIR)/usr/share/man/man8/
@@ -36,10 +36,12 @@
 /usr/include/curses.h:
 	@echo "/usr/include/curses.h is missing."
 	@echo "Run 'yum install ncurses-devel' or 'apt-get install libncurses5-dev'"
+	sleep 10
 
 /usr/include/readline/readline.h:
 	@echo "/usr/include/readline/readline.h is missing."
 	@echo "Run 'yum install readline-devel' or 'apt-get install libreadline5-dev'"
+	sleep 10
 
 ccstools: ccstools.src/*.c ccstools.src/*.h /usr/include/curses.h
 	$(CC) $(CFLAGS) -o ccstools ccstools.src/*.c -lncurses -DCOLOR_ON

## ccstools 1.7.2-20100401

=== debian/changelog ===
ccstools (1.7.2-20100401-3) unstable; urgency=low

  * debian/postrm
    - remove ccs-load-module as well
  * debian/control
    - remove "DM-Upload-Allowed: yes" and update my address
    - set "Build-Depends: debhelper (>= 7.0.50~)"

 -- Hideki Yamane <henrich@debian.org>  Sat, 22 May 2010 01:05:22 +0900

ccstools (1.7.2-20100401-2) unstable; urgency=medium

  * debian/init.d
    - properly call /usr/sbin/ccs-auditd
    - add empty line by echo with starting
  * debian/control
    - drop "Build-Depends: quilt" 

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Wed, 07 Apr 2010 20:30:54 +0900

ccstools (1.7.2-20100401-1) unstable; urgency=low

  * New upstream release
  * debian/rules
    - don't call quilt

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Fri, 02 Apr 2010 00:06:14 +0900

ccstools (1.7.1-20100110-3) unstable; urgency=low

  * debian/NEWS
    - improve "debian-news-entry-uses-asterisk" and 
      "debian-news-entry-without-blank-line"
  * debian/patches
    - improve "quilt-patch-missing-description" for ccs-pathmatch.8 and man
  * debian/rules
    - add override_dh_clean target

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Wed, 03 Mar 2010 00:02:54 +0900

ccstools (1.7.1-20100110-2) unstable; urgency=low

  * upload to unstable.
  * add debian/NEWS 

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Mon, 15 Feb 2010 16:36:40 +0900

ccstools (1.7.1-20100110-1) experimental; urgency=low

  * upload to experimental
  * New upstream release
    - not upload ccstools1.7 but update this source package (Closes: #546692)
      ccstools and ccspatch 1.6.x series doesn't support upper to 2.6.32 which 
      would be defalut in Squeeze release, so I should replace this package.
  * Switch to source format 3.0 (quilt) 
  * debian/rules:
    - use debhelper7 
  * debian/control:
    - "Build-Depends: debhelper (>= 7.0.50), help2man" 
    - set "Standards-Version: 3.8.4" with no change
    - loosen its depencency, "Recommends: linux-patch-tomoyo1.7"
  * debian/compat:
    - up to 7
  * debian/patches/ccs-pathmatch.8,man:
    - eliminate "manpage-has-errors-from-man usr/share/man/man8/
      ccs-pathmatch.8.gz 19: `\}' is not allowed in an escape name"

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Mon, 08 Feb 2010 15:34:21 +0900

ccstools (1.6.8-20100115-3) unstable; urgency=low

  * debian/watch:
    - enable to scan 1.7.x releases. 
  * debian/control:
    - set "Standards-Version: 3.8.4" with no change

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Sat, 30 Jan 2010 22:05:27 +0900

ccstools (1.6.8-20100115-2) unstable; urgency=low

  * debian/init.d
    - modity it as "# Required-Start:    $local_fs  $remote_fs", 
      Required-Stop as well.

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Tue, 26 Jan 2010 13:04:35 +0900

ccstools (1.6.8-20100115-1) unstable; urgency=low

  * New upstream release
   - Fix "doesn't work with separate /usr" (Closes: #564143)

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Sat, 16 Jan 2010 01:45:53 +0900

ccstools (1.6.8-20091111-2) unstable; urgency=low

  * debian/control:
    - add "Depends: ${misc:Depends}" to eliminate lintian warning.

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Thu, 31 Dec 2009 18:18:45 +0900

ccstools (1.6.8-20091111-1) unstable; urgency=low

  * New upstream release

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Fri, 13 Nov 2009 21:02:04 +0900

ccstools (1.6.8-20090623-8) unstable; urgency=low

  * debian/postinst:
    - simplify it, remove a check if there is $POLICYDIR or not. 
      Because its directory should be created by debhelper script.

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Wed, 23 Sep 2009 21:29:56 +0900

ccstools (1.6.8-20090623-7) unstable; urgency=low

  * debian/watch:
    - fix bug introduced with privious change.

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Sat, 19 Sep 2009 21:38:28 +0900

ccstools (1.6.8-20090623-6) unstable; urgency=low

  * debian/watch:
    - really apply the fix to watch file. 

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Fri, 18 Sep 2009 08:10:51 +0900

ccstools (1.6.8-20090623-5) unstable; urgency=low

  * debian/watch:
    - fix to watch the download page correctly.  

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Tue, 15 Sep 2009 13:20:09 +0900

ccstools (1.6.8-20090623-4) unstable; urgency=low

  * debian/control:
    - Build-Depends: libreadline-dev, changed from libreadline5-dev
    - Standards-Version: 3.8.3 with no change 
  * debian/watch:
    - ccstools 1.7 does not compatible with 1.6 series, so watching upstream
     version is limited with 1.6.x.

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Mon, 14 Sep 2009 23:13:14 +0900

ccstools (1.6.8-20090623-3) unstable; urgency=low

  * debian/postrm:
    - remove /etc/ccs/*.conf files

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Sat, 01 Aug 2009 01:27:06 +0900

ccstools (1.6.8-20090623-2) unstable; urgency=low

  * debian/watch: update it 

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Wed, 08 Jul 2009 22:25:52 +0900

ccstools (1.6.8-20090623-1) unstable; urgency=low

  * New upstream release
    - Fix "doesn't work with 2.6.30 stock kernel", ccs-auditd won't run
     when grant_log or reject_log does not exist (Closes: #532920)

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Tue, 23 Jun 2009 22:34:37 +0900

ccstools (1.6.8-20090528-1) unstable; urgency=low

  * New upstream release
  * debian/patches: merged by upstream, removed. 

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Fri, 29 May 2009 20:42:22 +0900

ccstools (1.6.7-20090401-5) unstable; urgency=low

  * debian/patches/fix-bashism: add it to fix "bashism in /bin/sh script".
    (Closes: #530212)

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Sun, 24 May 2009 00:33:18 +0900

ccstools (1.6.7-20090401-4) unstable; urgency=low

  * debian/rules: really apply dpatch. 



=== debian/control ===
Source: ccstools
Section: admin
Priority: extra
Maintainer: Hideki Yamane <henrich@debian.org>
Homepage: http://tomoyo.sourceforge.jp/
Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev, libreadline-dev, help2man
Standards-Version: 3.8.4

Package: tomoyo-ccstools1.7
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: linux-patch-tomoyo1.7
Conflicts: tomoyo-ccstools
Replaces: ccs-tools, tomoyo-ccstools
Description: Lightweight and easy-use Mandatory Access Control for Linux
 TOMOYO Linux is Lightweight and Usable Mandatory Access Control with
  - "automatic policy configuring" feature by "LEARNING mode"
  - administrators friendly policy language
  - no need libselinux nor userland program modifications
 .
 TOMOYO Linux consists of patches to Linux kernel and administrative 
 utilities, and this package contains its audit daemon and tools.
 .
 And this 1.7.x releases are not compatible with previous 1.6.x. So, if you 
 want to use this version, you MUST discard previous version's settings.

## ccstools 1.7.3

=== kernel_test/Makefile ===
ALL_FILES = ccs_accept_test ccs_argv0_test ccs_bind_test ccs_bprm_test \
	ccs_capability_test ccs_cond_test ccs_env_test \
	ccs_execute_handler_test ccs_file_test ccs_filesystem_test \
	ccs_network_test ccs_new_capability_test ccs_new_file_test \
	ccs_new_network_test ccs_new_test ccs_policy_io_test \
	ccs_policy_memory_test ccs_rewrite_test ccs_signal_test newns

all: $(ALL_FILES)
	chmod 755 testall.sh

$(ALL_FILES): include.h

CC=gcc

CFLAGS=-Wall -O2 ${shell $(CC) -Wno-pointer-sign -S -o /dev/null -x c - < /dev/null > /dev/null 2>&1 && echo "-Wno-pointer-sign"}

#
# Tools for kernel testing.
#

ccs_capability_test: ccs_capability_test.c
	$(CC) $(CFLAGS) -o ccs_capability_test ccs_capability_test.c -lutil

ccs_new_capability_test: ccs_new_capability_test.c
	$(CC) $(CFLAGS) -o ccs_new_capability_test ccs_new_capability_test.c -lutil

ccs_new_test: ccs_new_test.c
	$(CC) $(CFLAGS) -o ccs_new_test ccs_new_test.c -lutil

.c:
	$(CC) $(CFLAGS) -o $@ $<

#
# Delete all tools in this package.
#

clean:
	rm -f $(ALL_FILES)

## ccstools 1.7.3-20110401

=== debian/changelog ===
ccstools (1.7.3-20110401-1) unstable; urgency=low

  * New upstream release
  * debina/patches
    - drop ccs-pathmatch.8 since merged by upstream
  * debian/control
    - update to "Standards-Version: 3.9.2" with no change

 -- Hideki Yamane <henrich@debian.org>  Wed, 05 Oct 2011 06:53:42 +0900

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Hideki Yamane <henrich@debian.org>
 Homepage: http://tomoyo.sourceforge.jp/
 Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev, libreadline-dev, help2man
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 
 Package: tomoyo-ccstools1.7
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

package = tomoyo-ccstools1.7

%:
	dh $@

override_dh_auto_install:
	# Add here commands to install the package into debian/tomoyo-ccstools1.7.
	$(MAKE) INSTALLDIR=$(CURDIR)/debian/$(package) install
	cd $(CURDIR)/debian/$(package)/usr/share/man/man8 && \
	  ln -s ./ccs-editpolicy.8.gz ccs-editpolicy_offline.8.gz
	# workaround
	rm $(CURDIR)/debian/$(package)/usr/lib/ccs/README.ccs
	rm $(CURDIR)/debian/$(package)/usr/lib/ccs/COPYING.ccs

override_dh_installinit:	
	dh_installinit --init-script=ccs-auditd --no-start

override_dh_clean:
	-rm -rf $(CURDIR)/man/man8
	dh_clean

=== debian/watch ===
version=3

opts="downloadurlmangle=s/sourceforge/iij.dl.sourceforge/;s/downloads\///;s/projects\///;s/gz\//gz/,\
uversionmangle=s/-beta/~beta/;s/-rc/~rc/;s/-preview/~preview/" \
 http://sourceforge.jp/projects/tomoyo/releases/?package_id=4276 \
 /projects/tomoyo/downloads/.*/ccs-tools-(.*)\.tar.gz/ debian uupdate
